import java.io.*;
import java.net.*;

public class MyServer {

    public static void main(String[] args) throws Throwable {
        ServerSocket sock = new ServerSocket(12345);
        for(;;){
            Socket clisock = sock.accept();
            BufferedReader br = new BufferedReader(new InputStreamReader(clisock.getInputStream()));
            PrintStream ps = new PrintStream(clisock.getOutputStream());
            String line = br.readLine();
            while(line != null){
                System.out.println("Client said: "+line); 
                if(line.length() == 0)
                    break;
                line = br.readLine();
            }
            // closed connection or we got a blank line.
            ps.println("HTTP/1.0 200 OK");
            ps.println("Content-Type: text/html");
            ps.println("");
            ps.println("<html><body><h1>Hello World: "+System.currentTimeMillis()+"</h1></body></html>");
            ps.close();
        }
    }
}


