
import java.io.*;
import java.net.*;

public class MyClient {

    public static void main(String[] args) throws Throwable {
        if(args.length < 3){
            System.out.println("usage: [host] [port] [resource]");
            return;
        }
        String host = args[0];
        int port = Integer.parseInt(args[1]);
        String res = args[2];

        Socket s = new Socket(host,port);

        BufferedReader br = new BufferedReader(new InputStreamReader(s.getInputStream()));
        PrintStream ps = new PrintStream(s.getOutputStream());

        ps.println("GET "+res+" HTTP/1.0");
        ps.println("");     // blank line.

        String line = br.readLine();
        while(line != null){
            System.out.println("Server Response: "+line);
            line = br.readLine();
        }
        ps.close();
    }
}

